org.keycloak.dom.saml.v2.assertion

## Class AssertionType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonAssertionType
  - - org.keycloak.dom.saml.v2.assertion.AssertionType

- All Implemented Interfaces:
    Serializable

      public class AssertionType
      extends CommonAssertionType

  Since:
    Nov 24, 2010
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonAssertionType

      `ID, issueInstant`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertionType(String iD, XMLGregorianCalendar issueInstant)` Create an assertion

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStatement(StatementAbstractType statement)` Add a statement
    `void` | `addStatements(Collection<StatementAbstractType> statement)` Add a collection of statements
    `void` | `addStatements(Set<StatementAbstractType> statement)` Add a set of statements
    `protected void` | `checkSTSPermission()`
    `AdviceType` | `getAdvice()` Get the advice
    `Set<AttributeStatementType>` | `getAttributeStatements()`
    `ConditionsType` | `getConditions()` Get the conditions
    `NameIDType` | `getIssuer()` Get the issuer
    `Element` | `getSignature()` Get the signature as a DOM element
    `Set<StatementAbstractType>` | `getStatements()` Get a read only set of statements
    `SubjectType` | `getSubject()` Get the subject
    `String` | `getVersion()` Get the version of SAML
    `void` | `setAdvice(AdviceType advice)` Set the advice
    `void` | `setConditions(ConditionsType conditions)` Set the conditions
    `void` | `setIssuer(NameIDType issuer)` Set the issuer
    `void` | `setSignature(Element signature)` Set the signature DOM element
    `void` | `setSubject(SubjectType subject)` Set the subject
    `void` | `updateIssueInstant(XMLGregorianCalendar xg)` Update the issue instant

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonAssertionType

      `getID, getIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertionType

          public AssertionType(String iD,
                               XMLGregorianCalendar issueInstant)

      Create an assertion
      Parameters:
        `iD` - ID of the assertion (Required)
        `issueInstant` - `XMLGregorianCalendar` issue instant (required)
        `version` -

  - ### Method Detail

    - #### getSubject

          public SubjectType getSubject()

      Get the subject
      Returns:
        `SubjectType`

    - #### setSubject

          public void setSubject(SubjectType subject)

      Set the subject
      Parameters:
        `subject` -

    - #### getVersion

          public String getVersion()

      Get the version of SAML
      Returns:
        `String`

    - #### getAdvice

          public AdviceType getAdvice()

      Get the advice
      Returns:
        `AdviceType`

    - #### setAdvice

          public void setAdvice(AdviceType advice)

      Set the advice
      Parameters:
        `advice` - `advice`

    - #### getConditions

          public ConditionsType getConditions()

      Get the conditions
      Returns:
        `ConditionsType`

    - #### setConditions

          public void setConditions(ConditionsType conditions)

      Set the conditions
      Parameters:
        `conditions` - `ConditionsType`

    - #### getIssuer

          public NameIDType getIssuer()

      Get the issuer
      Returns:
        `NameIDType`

    - #### setIssuer

          public void setIssuer(NameIDType issuer)

      Set the issuer
      Parameters:
        `issuer` - `NameIDType`

    - #### addStatement

          public void addStatement(StatementAbstractType statement)

      Add a statement
      Parameters:
        `statement` - `StatementAbstractType`

    - #### addStatements

          public void addStatements(Collection<StatementAbstractType> statement)

      Add a collection of statements
      Parameters:
        `statement` - `Collection`

    - #### addStatements

          public void addStatements(Set<StatementAbstractType> statement)

      Add a set of statements
      Parameters:
        `statement` - `Collection`

    - #### getStatements

          public Set<StatementAbstractType> getStatements()

      Get a read only set of statements
      Returns:
        `Set`

    - #### getSignature

          public Element getSignature()

      Get the signature as a DOM element
      Returns:
        `Element`

    - #### setSignature

          public void setSignature(Element signature)

      Set the signature DOM element
      Parameters:
        `signature` -

    - #### getAttributeStatements

          public Set<AttributeStatementType> getAttributeStatements()

    - #### updateIssueInstant

          public void updateIssueInstant(XMLGregorianCalendar xg)

      Update the issue instant
      Parameters:
        `xg` -

    - #### checkSTSPermission

          protected void checkSTSPermission()

Copyright © 2021 JBoss by Red Hat. All rights reserved.